Subject: Re: [rbridge] [Isis-wg] WG last call on draft-ietf-trill-adj-01.txt

From: Donald Eastlake <[email-masked]>
Date: Mon, 7 Feb 2011 18:35:57 -0500

Hi Mike,

I think I failed to respond to your message below. Sorry. You wording
looks fine to me.

Thanks,
Donald

On Tue, Jan 18, 2011 at 7:44 AM, mike shand <[email-masked]> wrote:
>  To be absolutely clear on this, perhaps the text should also describe what
> the non DRBs do. I appreciate that the example includes this,
> but it is somewhat anomalous that the normative text describes the changed
> actions of the DRB, but not (explicitly) those of the non-DRBs.
>
> So how about:-
>
>
> "If the DRB sets the bypass pseudonode bit in its TRILL
>   LAN Hellos, the RBridges on the link (including the DRB) just directly
> report all their
>   adjacencies on the LAN that are in the Report state. If the DRB does not
> set the
>   bypass pseudonode bit in its TRILL Hellos, then (as in ISO/IEC 10589) it
> sends LSPs on behalf of the pseudonode, and all RBridges report only their
> adjacency to the pseudonode. Setting the bypass pseudonode bit has no effect
> on how LSPs
>   are flooded on a link. It only affects what LSPs are generated."
>
>
>    Mike
>
>
> On 15/01/2011 22:45, Les Ginsberg (ginsberg) wrote:
>>>
>>> 6. Pseudonodes
>>> >  >      The Designated RBridge (DRB), determined as described above,
>>> >  controls
>>> >      whether a pseudonode will be used on a link.
>>> >  >      It is anticipated that many links between RBridges will
>>> > actually be
>>> >      point-to-point, in which case using a pseudonode merely adds to
>>> > the
>>> >      complexity. If the DRB sets the bypass pseudonode bit in its TRILL
>>> >      LAN Hellos, the RBridges on the link just directly report their
>>> >      adjacencies that are in the Report state. If the DRB does not set
>>> >  the
>>> >      bypass pseudonode bit in its TRILL Hellos, then it specifies a
>>> >      pseudonode for the link and sends LSPs on behalf of the pseudonode
>>> >  as
>>> >      usual. Setting the bypass pseudonode bit has no effect on how LSPs
>>> >      are flooded on a link. It only affects what LSPs are generated.
>>> >  >  LES: The phrase "specifies a pseudo-node for the link" suggests
>>> > that
>>> >  the LANID sent by the DRB may be different depending on whether the
>>> >  bypass pseudo-node bit is set or not. Do you really mean that?
>>> >  >  <DEE3>  No, it is not meant to imply that. How about, "..., then
>>> > the
>>
>> LAN
>>>
>>> >  ID in the DRB's Hellos specifies the pseudonode for the link and the
>>> >  DRB sends ..."
>>> >  >  he DRB does not set the
>>> >      bypass pseudonode bit in its TRILL Hellos, then it specifies a
>>> >      pseudonode for the link and sends LSPs on behalf of the pseudonode
>>> >  as
>>> >      usual. Setting the bypass pseudonode bit has no effect on how LSPs
>>> >      are flooded on a link. It only affects what LSPs are generated.
>>> >
>>
>> If we agree that the contents of the LANID field are not affected by the
>> state of the bypass bit - which I think we do - then I think removing
>> the phrase is the best thing to do.
>>
>>    Les
>
> _______________________________________________
> Isis-wg mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/isis-wg
>

_______________________________________________
rbridge mailing list
[email-masked]
http://mailman.postel.org/mailman/listinfo/rbridge